package com.yidianling.im.session.extension;

import com.alibaba.fastjson.JSONObject;

/**
 * 问诊结束通知 消息bean
 */
public class CustomAttachmentInquiryEnd extends CustomAttachment {
    private static final String KEY_FROM_ORDERID = "inquiryOrderId";
    private static final String KEY_FROM_CONTENT = "userContent";

    private String from_orderid = "";
    private String from_content = "";

    public CustomAttachmentInquiryEnd() {
        super(CustomAttachmentType.TYPE_INQUIRY_END);
    }

    @Override
    protected void parseData(JSONObject data) {
        from_orderid = data.getString(KEY_FROM_ORDERID);
        from_content = data.getString(KEY_FROM_CONTENT);
    }

    @Override
    protected JSONObject packData() {
        JSONObject data = new JSONObject();
        data.put(KEY_FROM_ORDERID, from_orderid);
        data.put(KEY_FROM_CONTENT, from_content);
        return data;
    }

    public String getFromOrderid() {
        return from_orderid;
    }

    public String getFromContent() {
        return from_content;
    }

}
